/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {FloorFieldResponse} from "./floorFieldResponse";

export class FloorPrincipalResponse {
    public id: string;

    public name: string;

    public timeZone: string;

    public fields: FloorFieldResponse;

    /**
     * Creates a FloorPrincipalResponse.
     *
     * @param {string} id
     * @param {string} name
     * @param {string} timeZone
     * @param {FloorFieldResponse} fields
     */
    constructor(id: string, name: string, timeZone: string, fields: FloorFieldResponse) {
        this.id = id;
        this.name = name;
        this.timeZone = timeZone;
        this.fields = fields;
    }
}
